XScreenSaver(1)

NAME
glplanet - rotating 3d texture-mapped planet.

SYNOPSIS
glplanet [-display host:display.screen] [-visual visual] [-window] [-root] [-no-light] [-delay number] [-image file] [-resolution number] [-wireframe] [-fps]

DESCRIPTION
Draws a planet bouncing around in space. The built-in image is a map of the earth, but you can wrap any texture around the sphere, e.g., the planetary textures that come with `ssystem'.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-light | -no-light
    Use Flat Coloring.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-images file
    The texture map to wrap around the planet's surface.

-resolution
    The resolution of the planet. Default: 128.

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by David Konerding. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
David Konerding.